Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 107815 - Mobility should not have its own update center
Mobility should not have its own update center
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: -- Other --
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Adam Sotona
issues@mobility
:
Depends on:
Blocks: 104262
  Show dependency treegraph
 
Reported: 2007-06-22 12:49 UTC by Marian Mirilovic
Modified: 2007-06-28 20:40 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Wireless toolkits available from "Additional Features" and "Java ME Platform SDK Catalog" in M10 (24.22 KB, image/png)
2007-06-25 15:20 UTC, Jiri Kovalsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2007-06-22 12:49:08 UTC
NB Dev (200706220000)
The mobility registers its own update center - Java ME Platform SDK Update Center, as you can see in the Settings tab of
the Plugin Manager.

The plan is to have *no additional* update centers installed by the features but use only common update center(s).

See
http://wiki.netbeans.org/wiki/view/NB6M10UpdateCenters
http://wiki.netbeans.org/wiki/view/NB6UpdateCenters
Comment 1 Martin Ryzl 2007-06-22 13:22:11 UTC
No chance to do that in M10 *without* significant delay of M10. Target milestone will be Beta1 and thus priority
decrease to P2. 
Removal of the UC is not an issue but migration of the content is.
Comment 2 Martin Ryzl 2007-06-22 13:43:53 UTC
ok, it seems M10 is going to slip anyway, changing back to P1, M10
Comment 3 Jiri Kovalsky 2007-06-22 14:58:08 UTC
Great, please note that we are going to include the wireless toolkits in the M10 update center. Please see:
http://wiki.netbeans.org/wiki/view/NB6M10UpdateCenters
Comment 4 Adam Sotona 2007-06-25 13:18:09 UTC
Plans for Java ME Platform SDK Update Center is to provide direct binary installation.
This is currently allowed by the new AU APIs however NetBeans does not provide any direct implementation of binary modules.
Future Mobility custom implementation of UpdateProvider would result back in a separate Update Center.

May be we should first discuss all pros and cons. I have only one con:
Java ME Platform SDK Update Center is currently a singleton catalog compatible with all versions of NetBeans.

My suggestion is to do not change something that is working without any value added.
Comment 5 Jiri Kovalsky 2007-06-25 15:20:30 UTC
Created attachment 44345 [details]
Wireless toolkits available from "Additional Features" and "Java ME Platform SDK Catalog" in M10
Comment 6 Jiri Kovalsky 2007-06-25 15:39:47 UTC
I am sorry but I don't understand the need for having a separate mobility update center, at least for M10. Are you going
to add some mobility specific functionality to current Plugin Manager? NetBeans 6.0 is about consolidation of Sun Java
Tools hence the plan to merge all separate update centers.

Please take a look at the attached screenshot showing filtered wireless toolkits available on "Additional Features"
update center. What do you consider confusing/insufficient about this approach?

Please remove the special mobility update center and we can discuss the layout of update centers for 6.0 FCS once M10 is
out. Thanks a lot!
Comment 7 Martin Ryzl 2007-06-25 16:21:54 UTC
special UC will be removed from M10 but _it must not be destroyed_ since it is used by previous versions of the IDE.
Now, if want to make a new version of WTK available even for users of older version of NB, it has to be added twice.
Comment 8 Antonin Nebuzelsky 2007-06-25 17:28:20 UTC
> Now, if want to make a new version of WTK available even
> for users of older version of NB, it has to be added twice.

Note that having different UCs for different version of the IDE means mainly that you *can* deliver different versions
of a module for different versions of NetBeans.
Comment 9 Peter Pis 2007-06-25 19:13:15 UTC
This issue is showstopper for M10. Please integrate the fix into the trunk and "release60-m10" branch. 
Comment 10 Jiri Kovalsky 2007-06-25 19:50:03 UTC
Yes, exactly. We certainly don't want to destroy the old Java ME Platform SDK Update Center. In my opinion it's even
better to have separate channels for NetBeans 6+ users and past releases.
Comment 11 Adam Sotona 2007-06-26 10:16:23 UTC
Java ME Platform SDK Update Center removed
Comment 12 Antonin Nebuzelsky 2007-06-26 10:19:41 UTC
Has the change been integrated also on release60-m10 branch? Thanks.
Comment 13 Jiri Kovalsky 2007-06-26 10:27:12 UTC
I guess this change was done _only_ on M10 branch.
Comment 14 Adam Sotona 2007-06-26 11:02:45 UTC
I commented it out in both - trunk and M10 to do not make any confusion and to be able to enable it back when necessary.
Comment 15 Peter Pis 2007-06-28 16:50:47 UTC
Could you please verify this issue for the latest M10 build? Thanks.
Comment 16 Jiri Kovalsky 2007-06-28 20:40:36 UTC
Yes, verified in the latest M10 candidate build #200706281001.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo